---
title: '`glab cluster agent token-cache clear`'
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Clear cached GitLab Agent tokens

## Synopsis

Clear cached GitLab Agent tokens from keyring and filesystem cache.

By default, this command clears tokens from both keyring and filesystem cache
and revokes them on the GitLab server. Use `--no-revoke` to skip revocation.

```plaintext
glab cluster agent token-cache clear [flags]
```

## Options

```plaintext
      --agent int64Slice   Clear tokens for specific agent IDs only (default [])
      --filesystem         Clear tokens from filesystem cache (default true)
      --keyring            Clear tokens from keyring cache (default true)
  -R, --repo string        Select another repository using the OWNER/REPO format
      --revoke             Revoke tokens on GitLab server before clearing cache (default true)
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
